Show / Hide Table of Contents

Class ListCcdOffersRequest

Inheritance
object
ListCcdOffersRequest
Implements
IOciRequest
Inherited Members
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()
Namespace: Oci.CcdoffersService.Requests
Assembly: OCI.DotNetSDK.Ccdoffers.dll
Syntax
public class ListCcdOffersRequest : IOciRequest
Examples

Click here to see an example of how to use ListCcdOffers request.

Properties

CompartmentId

Declaration
[Required(ErrorMessage = "CompartmentId is required.")]
[HttpConverter(TargetEnum.Query, "compartmentId")]
public string CompartmentId { get; set; }
Property Value
Type Description
string

The OCID of the compartment (remember that the tenancy is simply the root compartment).

Remarks

Required

DisplayName

Declaration
[HttpConverter(TargetEnum.Query, "displayName")]
public string DisplayName { get; set; }
Property Value
Type Description
string

Filter by the resource display name.

LifecycleDetails

Declaration
[HttpConverter(TargetEnum.Query, "lifecycleDetails")]
public CcdOffer.LifecycleDetailsEnum? LifecycleDetails { get; set; }
Property Value
Type Description
CcdOffer.LifecycleDetailsEnum?

The life cycle details of a CCD offer that's being requested. The accepted values are Scheduled, Current, Canceled, or Ended. If a null or empty value is passed, it will return for all resources.

LifecycleState

Declaration
[HttpConverter(TargetEnum.Query, "lifecycleState")]
public CcdOffer.LifecycleStateEnum? LifecycleState { get; set; }
Property Value
Type Description
CcdOffer.LifecycleStateEnum?

The life cycle of a CCD offer that's being requested, which always defaults to Active. If you want to filter by scheduled, current, canceled, or ended, use the lifecycleDetails query parameter.

Limit

Declaration
[HttpConverter(TargetEnum.Query, "limit")]
public int? Limit { get; set; }
Property Value
Type Description
int?

The maximum number of items to return in a paginated "List" call.

OpcRequestId

Declaration
[HttpConverter(TargetEnum.Header, "opc-request-id")]
public string OpcRequestId { get; set; }
Property Value
Type Description
string

Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.

Page

Declaration
[HttpConverter(TargetEnum.Query, "page")]
public string Page { get; set; }
Property Value
Type Description
string

The value of the opc-next-page response header from the previous "List" call.

SortBy

Declaration
[HttpConverter(TargetEnum.Query, "sortBy")]
public ListCcdOffersRequest.SortByEnum? SortBy { get; set; }
Property Value
Type Description
ListCcdOffersRequest.SortByEnum?

The sort by field to use, whether "DISPLAYNAME" or "TIMECREATED". By default, it is TIMECREATED.

SortOrder

Declaration
[HttpConverter(TargetEnum.Query, "sortOrder")]
public ListCcdOffersRequest.SortOrderEnum? SortOrder { get; set; }
Property Value
Type Description
ListCcdOffersRequest.SortOrderEnum?

The sort order to use, whether "asc" or "desc". By default, it is ascending.

SourceType

Declaration
[HttpConverter(TargetEnum.Query, "sourceType")]
public CcdOffer.SourceTypeEnum? SourceType { get; set; }
Property Value
Type Description
CcdOffer.SourceTypeEnum?

Filter CCD offers or commitments by the commercial workflow that created the associated offer.

SubscriptionId

Declaration
[Required(ErrorMessage = "SubscriptionId is required.")]
[HttpConverter(TargetEnum.Query, "subscriptionId")]
public string SubscriptionId { get; set; }
Property Value
Type Description
string

The subscription ID associated with the CCD offer.

Remarks

Required

TypeOfOffer

Declaration
[HttpConverter(TargetEnum.Query, "typeOfOffer")]
public CcdOffer.TypeOfOfferEnum? TypeOfOffer { get; set; }
Property Value
Type Description
CcdOffer.TypeOfOfferEnum?

The CCD offer type to use when filtering results.

Implements

IOciRequest
In this article
Back to top